# teyvatapi
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1
- Package version: 1.0.1
- Generator version: 7.9.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import teyvatapi
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import teyvatapi
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import teyvatapi
from teyvatapi.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = teyvatapi.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization (JWT): Bearer
configuration = teyvatapi.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with teyvatapi.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = teyvatapi.BookApi(api_client)

    try:
        # Get all books from database
        api_response = api_instance.get_all()
        print("The response of BookApi->get_all:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling BookApi->get_all: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*BookApi* | [**get_all**](docs/BookApi.md#get_all) | **GET** /books | Get all books from database
*BookApi* | [**get_by_id**](docs/BookApi.md#get_by_id) | **GET** /books/{id} | Get the book by id
*BookApi* | [**search**](docs/BookApi.md#search) | **GET** /books/search | Search the books by text
*PaimonApi* | [**get_prompt_response**](docs/PaimonApi.md#get_prompt_response) | **POST** /ai/paimon | Get the response from the prompt
*UserApi* | [**create**](docs/UserApi.md#create) | **POST** /users/create | Create a new user
*UserApi* | [**delete_user**](docs/UserApi.md#delete_user) | **DELETE** /users/delete | Delete user information
*UserApi* | [**login**](docs/UserApi.md#login) | **POST** /users/login | Login a user
*UserApi* | [**me**](docs/UserApi.md#me) | **GET** /users/me | Get user information
*UserApi* | [**update_email**](docs/UserApi.md#update_email) | **PUT** /users/update/email | Update email information
*UserApi* | [**update_password**](docs/UserApi.md#update_password) | **PUT** /users/update/password | Update password information
*UserApi* | [**update_username**](docs/UserApi.md#update_username) | **PUT** /users/update/username | Update username information


## Documentation For Models

 - [Book](docs/Book.md)
 - [CreateUserRequestBody](docs/CreateUserRequestBody.md)
 - [DeleteUserRequestBody](docs/DeleteUserRequestBody.md)
 - [EmailUpdateRequestBody](docs/EmailUpdateRequestBody.md)
 - [GetPromptRequestBody](docs/GetPromptRequestBody.md)
 - [LoginRequestBody](docs/LoginRequestBody.md)
 - [PasswordUpdateRequestBody](docs/PasswordUpdateRequestBody.md)
 - [ProblemDetails](docs/ProblemDetails.md)
 - [User](docs/User.md)
 - [UsernameUpdateRequestBody](docs/UsernameUpdateRequestBody.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="Bearer"></a>
### Bearer

- **Type**: Bearer authentication (JWT)


## Author




